Ads

List interstitials (promos, bumpers)

GET
/v1/interstitials

Scope: ads:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/interstitials'
Example Response
{  "interstitials": [    {      "id": "d40a5bc5-72d2-4522-a6fd-a0b3919af4f4",      "houseNumber": "E2E-AD-CHANNEL-ID-010",      "title": "E2E Ad Channel · Channel ID · 10s",      "description": null,      "spotType": "",      "durationSec": 10,      "mediaPath": null,      "som": null,      "category": "channel_id",      "rating": "G",      "channelId": "8a7137f9-77ac-4774-b477-09e2a05c4de8",      "channelName": "E2E Ad Channel",      "channelSlug": "e2e-ad-channel",      "validFrom": null,      "validTo": null,      "archivedAt": null,      "source": "ingenee-generated",      "notes": "Metadata only — generated by Ingenee to fill junction time (ING-456 D6). Media pending: create a clip with this house number before sending to playout.",      "createdAt": "2026-10-14T05:29:13.199Z",      "updatedAt": "2026-10-14T05:29:13.199Z",      "mediaPending": true,      "usedCount": 0,      "rule": null    },    {      "id": "9b4cfd44-bb6b-44f0-abfb-a2e60a77fe2c",      "houseNumber": "E2E-AD-CHANNEL-ID-015",      "title": "E2E Ad Channel · Channel ID · 15s",      "description": null,      "spotType": "",      "durationSec": 15,      "mediaPath": null,      "som": null,      "category": "channel_id",      "rating": "G",      "channelId": "8a7137f9-77ac-4774-b477-09e2a05c4de8",      "channelName": "E2E Ad Channel",      "channelSlug": "e2e-ad-channel",      "validFrom": null,      "validTo": null,      "archivedAt": null,      "source": "ingenee-generated",      "notes": "Metadata only — generated by Ingenee to fill junction time (ING-456 D6). Media pending: create a clip with this house number before sending to playout.",      "createdAt": "2026-10-14T05:29:13.199Z",      "updatedAt": "2026-10-14T05:29:13.199Z",      "mediaPending": true,      "usedCount": 0,      "rule": null    }  ],  "counts": {    "blank": 83  },  "facets": {    "category": {      "channel_id": 37,      "loop": 9,      "promo": 37    },    "rating": {      "G": 63,      "unrated": 2,      "PG-13": 18    },    "channel": {      "8a7137f9-77ac-4774-b477-09e2a05c4de8": 9,      "d70b811d-bf76-4cbb-b1dd-ef90e0fb26c5": 9,      "6c7d42be-ac1b-4ca4-9220-8b22fad54b16": 11,      "e8f7a9dd-4907-4267-9d55-e5883faa5f08": 9,      "21e7445e-5e58-425b-bf1f-1d18a01fbc36": 9,      "2c8ccccb-8600-4c34-92b4-5a7aad4d64d9": 9,      "fc18358c-93f7-4c98-8349-cf36699cf4be": 9,      "0c1d3d83-8cc3-47f8-a90d-b6ebf9af5c93": 9,      "c15d1703-f4e1-46b1-aeb8-da5c42ced721": 9    },    "mediaPending": 83,    "archived": 0,    "live": 83  },  "total": 83,  "unassigned": 0,  "channelOptions": [    {      "id": "8a7137f9-77ac-4774-b477-09e2a05c4de8",      "name": "E2E Ad Channel",      "slug": "e2e-ad-channel",      "status": "live"    },    {      "id": "1dad8739-b86a-4f5e-ab64-28b7f72a717d",      "name": "E2E Ad Channel India",      "slug": "e2e-ad-channel-india",      "status": "live"    }  ]}